Name: @CPACK_PACKAGE_NAME@
Version: @CPACK_PACKAGE_VERSION@
Release: 1%{dist}

Vendor: @CPACK_PACKAGE_VENDOR@

License: GPLV2

Summary: transparent applications suite
Group: User Interface/X

Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot

%description
transparent applications suite:
- transparent clock;
- transparent calendar;
- transparent cpu load meter;
- transparent memory load meter;
- transparent disk usage meter;
- transparent network load meter;
- transparent temperature meter.
- transparent pictures display.

%prep
%setup -q -n %{name}-%{version} %{release}

%build
%define prefix /usr
cmake -DCMAKE_INSTALL_PREFIX=%{prefix} -DUSE_QT5=1 .
make -j4

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING INSTALL
%{prefix}/bin/transparency
%{prefix}/bin/transparency-settings
%{prefix}/bin/transparent-clock
%{prefix}/bin/transparent-calendar
%{prefix}/bin/transparent-pictures

%changelog
